%global gem_name rhc

%global rubyabi 1.8

Summary:       OpenShift Express Client Tools
Name:          rubygem-%{gem_name}
Version:       0.92.11
Release:       1%{?dist}
Group:         Development/Tools
License:       MIT
URL:           https://openshift.redhat.com/app/express
Source0:       http://rubygems.org/downloads/%{gem_name}-%{version}.gem
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems)
Requires:      rubygem-json_pure
Requires:      rubygem-parseconfig
Requires:      rubygem-rest-client
Requires:      rubygem-rake
BuildRequires: ruby-irb
BuildRequires: rubygems-devel
BuildRequires: rubygem-rake
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
OpenShift Express Client Tools allows you to create and deploy applications to
the cloud. The OpenShift Express client is a command line tool that allows you
to manage your applications in the cloud.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{_bindir}
RHC_RPMBUILD=true gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
chmod 0755 %{buildroot}%{gem_dir}/bin/*
chmod 0755 %{buildroot}%{gem_instdir}/bin/*

mv %{buildroot}%{gem_dir}/bin/* %{buildroot}%{_bindir}/
rm -rf %{buildroot}%{geminstdir}/.yardoc
rm %{buildroot}%{gem_instdir}/Rakefile
rm %{buildroot}%{gem_instdir}/ext/Rakefile
rm %{buildroot}%{gem_instdir}/ext/mkrf_conf.rb
%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%dir %{gem_instdir}/bin
%dir %{gem_libdir}
%dir %{gem_instdir}/conf
%doc %{gem_instdir}/COPYRIGHT
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}
%{gem_instdir}/bin/*
%{gem_libdir}/*
%{gem_instdir}/conf/*
%{_bindir}/*


%changelog
* Sun May 27 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.92.11-1
- Updated to version 0.92.11

* Tue May 02 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.91.12-2
- rubygem-rake run time dependency added

* Tue May 01 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.91.12-1
- Updated to version 0.91.12
- rubygem-rest-client dependency added

* Sun Mar 25 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.88.9-1
- Updated to version 0.88.9

* Thu Mar 15 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.87.8-1
- Updated to version 0.87.8

* Mon Feb 13 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.86.7-1
- Updated to version 0.86.7

* Sun Feb 12 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.15-3
- Minor spec file adjustments
- ruby-irb added as a build require

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.84.15-2
- Rebuilt for Ruby 1.9.3.

* Fri Jan 20 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.15-1
- Updated to version 0.84.15

* Tue Jan 17 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.13-1
- Updated to version 0.84.13

* Wed Dec 21 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.83.9-1
- Update to version 0.83.9 

* Thu Dec 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.82.18-1
- Update to version 0.82.18

* Thu Dec 01 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.81.14-2
- Requires fixed to json_pure

* Tue Nov 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.81.14-1
- Update to version 0.81.14

* Wed Nov 02 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.80.5-1
- Update to version 0.80.5

* Wed Oct 19 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.79.5-1
- Update to version 0.79.5

* Tue Aug 23 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.75.9-1
- Update to version 0.75.9

* Tue Aug 02 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.73.14-1
- Update to version 0.73.14

* Sat Jul 09 2011 Guillermo Gómez <gomix@fedoraproject.org - 0.71.2-2
- Package now owns geminstdir
- User binaries moved to the right place
- %%dir missuse corrected
- Better URL
- Licenced fixed to MIT

* Thu Jun 23 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.71.2-1
- Initial package
